Bug 988035 - /usr/share/applications/fedora-xpdf.desktop should not include extension in Icon key
/usr/share/applications/fedora-xpdf.desktop should not include extension in I...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xpdf (Show other bugs)
18
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 10:53 EDT by Joe Sapp
Modified: 2013-09-30 22:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: xpdf-3.03-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 22:05:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Sapp 2013-07-24 10:53:40 EDT
Description of problem:
When running the application "geeqie" from the command line, it shows the following error message (I assume this will happen for other applications too, but I can't find one that does so):

Desktop file '/usr/share/applications/fedora-xpdf.desktop' should not include extension in Icon key: 'xpdf.png'

The FDO icon theme spec algorithm (http://standards.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html#icon_lookup) seems to confirm that the icon name should be without extension, given that it's not an absolute path.


Version-Release number of selected component (if applicable):
xpdf-1:3.03-5.fc18.x86_64
Comment 1 Fedora Update System 2013-09-22 01:33:51 EDT
xpdf-3.03-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xpdf-3.03-8.fc19
Comment 2 Fedora Update System 2013-09-22 01:33:54 EDT
xpdf-3.03-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xpdf-3.03-8.fc18
Comment 3 Fedora Update System 2013-09-22 01:34:02 EDT
xpdf-3.03-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xpdf-3.03-8.fc20
Comment 4 Fedora Update System 2013-09-22 19:50:44 EDT
Package xpdf-3.03-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xpdf-3.03-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17375/xpdf-3.03-8.fc18
then log in and leave karma (feedback).
Comment 5 Joe Sapp 2013-09-23 10:13:46 EDT
The update seems to have resolved this issue.
Comment 6 Fedora Update System 2013-09-30 22:05:38 EDT
xpdf-3.03-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-30 22:07:31 EDT
xpdf-3.03-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-30 22:11:05 EDT
xpdf-3.03-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.